diff -Naur Doomsday Data Files.old/ai/mon_1936.ai Doomsday Data Files/ai/mon_1936.ai
--- Doomsday Data Files.old/ai/mon_1936.ai	2008-12-01 19:17:14.000000000 +0100
+++ Doomsday Data Files/ai/mon_1936.ai	2008-12-01 21:31:17.000000000 +0100
@@ -1,36 +1,24 @@
-# Mongolia 1936 AI File by Lothos
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
 
 switch = no # [yes/no]
-max_front_ratio = 1.2 
+max_front_ratio = 3.0
 max_garrison_prop = 0.30
-min_garrison_prop = 0.20
-neutrality = 100.000 
+min_garrison_prop = 0.10
+neutrality = 100.000
 war = 0
-upgrading = 0.35
-reinforcement = 0.2
-strat_redeploy_threshold = 25
-exp_force_ratio = 0.0
-exp_force_ratios = { } 
+strat_redeploy_threshold = 21
+exp_force_ratio = 0.75
+exp_force_ratios = { SOV = 0.75 }
 no_exp_forces_to = { }
-use_offensive_supply = no
 
 ###################################
 # Diplomacy
 ###################################
-combat = { }
+claim_acceptance = -75
 
-claim_acceptance = -49
-
-befriend = {
-	SOV = 150
-}
-protect = {
-	SOV = 150
-}
-target = { } 
 trade = {
-	cancel_deal_threshold = 2
-
 	energy 		= -1
 	rare_materials 	= -1
 	metal 		= -1
@@ -39,141 +27,77 @@
 	money 		= -1
 
 	favored = {
-		SOV = 150
+		SOV = 100
+		TAN = 100
 	}
-	embargo = { }
 }
+
 tech_sharing = {
 	favored = {
-		SOV = 150
-	}
-	embargo = { }
-	not = { }
-	prioritized = {
-		# Arcriculture
-		5020 = 100
-		5030 = 100
-		5040 = 100
-
-		# Inf support
-		1310 = 100
-		1320 = 100
-		1330 = 100
-		1340 = 100
-		1350 = 100
-		1360 = 100
-
-		# Production
-		5050 = 100
-		5060 = 100
-		5070 = 100
-		5080 = 100
-		5090 = 100
-		5100 = 100
-		5110 = 100
-		5120 = 100
-		5130 = 100
-		5150 = 100
-		5180 = 100
-	}
-}
-###################################
-# Spying
-###################################
-spyprefs =
-{
-	percentage_on_spies 		= 0.2
-	percentage_foreign_mission 	= 0.7
-
-	# Used for Homeland Defense Spying
-	spyprefsdata = 
-	{
-		NumberOfSpies = 3
-		counter_espionage =  10
-		country = MON
-	}
-	# Defaul Spy parms used for countries the AI is atwar with but has no specific entry
-	spyprefsdata = {
-		country_priorities	= 3
-		NumberOfSpies		= 3
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 3
-		coup 				= 4
-		sabotage_industry 	= 5
-		nuclear_sabotage 	= 0
-		found_partisans 	= 0
-		massmedia 			= 3
-		counter_espionage 	= 5
-		disrupt_techteam	= 5
-		country 			= NONE
+		SOV = 100
+		TAN = 100
 	}
 }
+
 ###################################
 # Construction and Tech Research
 ###################################
-#Default values
-construction = { 
-	max_factor = 0.00 
+construction = {
+	max_factor = 0.500
 
-	AA_batteries = no
+	AA_batteries = atwar
 	max_AA_level = 3
-	AA_provs = { 
-		1404 # Ulan Bator
-	}
+	AA_provs = { }
 
 	coastal_fort = no
-	max_coastal_level = 3
-	coastal_fort_provs = { } 
+	max_coastal_level = 0
+	coastal_fort_provs = { }
 
-	radar_station = no 
-	max_radar = 5 
-	radar_provs = { } 
+	radar_station = no
+	max_radar = 0
+	radar_provs = { }
 
 	air_base = no
-	max_air_base = 2
-	air_base_provs = { } 
+	max_air_base = 0
+	air_base_provs = { }
 
 	naval_base = no
-	max_naval_base = 5 
-	naval_base_provs = { } 
+	max_naval_base = 0
+	naval_base_provs = { }
 
 	land_fort = no
-	max_land_level = 2
+	max_land_level = 0
 	fort_borders = { } 
 
-	ic_at_war = no 
-	force_ic_until = 1935
-	ic_end_year = 1935
-	IC_provs = {
-		1404 # Ulan Bator
-	} 
+	ic_at_war = no
+	force_ic_until = 1938
+	ic_end_year = 1938
+	IC_provs = { }
 }
 
 military = { 
-	relative_build_scheme 	= no
-	max_batch_peace 		= 360 
-	max_batch_war 			= 180 
+	relative_build_scheme 	= yes 
+	max_batch_peace 	= 360 
+	max_batch_war 		= 180 
 	max_batch_home_front 	= 180
 
 	#### Divisions etc...
-	infantry 		= 100
-	cavalry 		= 0
-	motorized 		= 0
-	mechanized 		= 0
+	infantry 	= 75
+	cavalry 	= 25
+	motorized 	= 0
+	mechanized 	= 0
 	light_armor 	= 0
-	armor 			= 0
+	armor 		= 0
 	paratrooper 	= 0
-	marine 			= 0
+	marine 		= 0
 	bergsjaeger 	= 0
-	garrison		= 0
-    hq 				= 0
-	militia 		= 0
+	garrison	= 0
+      	hq 		= 0
+	militia 	= 0
 #				100 %
 	interceptor 	= 0
-	multi_role 		= 0
-	cas 			= 0
+	multi_role 	= 0
+	cas 		= 0
 	strategic_bomber = 0
 	tactical_bomber = 0
 	naval_bomber 	= 0
@@ -181,192 +105,82 @@
 	flying_bomb 	= 0
 	flying_rocket 	= 0
 #				0 %
-	battleship 		= 0
-	carrier 		= 0
+	battleship 	= 0
+	carrier 	= 0
 	escort_carrier	= 0
-	destroyer 		= 0
+	destroyer 	= 0
 	light_cruiser 	= 0
 	heavy_cruiser 	= 0
 	battlecruiser 	= 0
-	submarine 		= 0
-	nuclear_submarine = 0
-	transports 		= 0
+	submarine 	= 0
+	transports 	= 0
 #				0 %
 
 	#### Brigades
-	artillery 			= 35
+	artillery 		= 60
 	sp_artillery 		= 0
-	rocket_artillery	= 0
+	rocket_artillery	= 0 
 	sp_rct_artillery 	= 0
-	anti_tank 			= 15
+	anti_tank 		= 0
 	tank_destroyer 		= 0
-	light_armor_brigade = 0
+	light_armor_brigade 	= 0
 	heavy_armor 		= 0
 	super_heavy_armor 	= 0
 	armored_car 		= 0
-	anti_air 			= 0
-	police 				= 0
-	engineer 			= 0
+	anti_air 		= 0
+	police 			= 0
+	engineer 		= 40
 
 	cag = 100.000 
 }
 
 technology = { 
-	endgoal 	= { } 
-	preference 	= {
-		# Tools
-		5050 5060 5070
-
-		# Engineering
-		5080 5090 5100
-		
-		# Production Control
-		5110 5120
-		
-		# Assembly Line
-		5130 5180
-		
-		# Cryptography
-		5310 5320 5330 5340
-		
-		# Special Weapons
-		7140 7150 7160
-
-		#Infantry
-		1010 1020 1030 1040 1050 1060
-
-		# Land Doctrines
-		6210 6300
-	} 
-	ignore 		= {
-		# Assembly Line
-		5140 5150 5160 5170
-
-		# Arcriculture
-		5010 5020 5030 5040
-
-		# Airborne
-		1070 1080 1090 1100
-
-		# Marines
-		1150 1160 1170 1180
-
-		# Mountain Unit techs
-		1110 1120 1130 1140
-
-		# Cavalry
-		1190 1200 1210 1220
-
-		# Mechanized
-		1260 1270 1280 1290
-
-		# Rocketry
-		5550 5560 5570 5580 5590
-
-		# Atomic Research
-		5470 5480 5490 5500 5510 5520 5530 5540
-
-		# Bas Decimetric
-		5410 5420 5430 5440 5450 5460
-
-		# CAS
-		4170 4280 4180
-
-		# Escort/Multirole Fighters
-		4040 4050 4070 4080 4100 4110
-		
-		# Tactical Bombers
-		4140 4150 4160
-
-		# Naval Bomber
-		4190 4200 4210
-
-		# Strategic Bomber
-		4220 4230 4240
-
-		# Air Transports
-		4250 4260 4270
-
-		# Light tanks
-		2020 2030 2040 2050 2060
-
-		# Medium tanks
-		2010 2070 2080 2090
-
-		# Heavy Tanks and Semi-Modern Tank
-		2100 2110 2120 2140
-
-		# Tank destroyers
-		2170 2180 2190 2200 2210
-
-		# SP guns
-		2220 2230 2240 2250
-
-		# SP Rocket Artillery
-		2260 2270 2280 
-		
-		# Static Anti-Air
-		2450 2460 2470 2480 2490 2500
-		
-		# Anti Air Brigade
-		2510 2520 2530 2540
-
-		# Rocket Artillery
-		2370 2380 2390
-
-		# Land Doctrines
-		6010
-
-		# Armoured Cars
-		2150 2160
-
-		# Strategic Air Doctrines 9140
-		9150 9160 9170 9180 9430 9440 9450 9460
-
-		# Land Doctrines
-		14080 # Guerilla Warfare
-	}
+	endgoal 	= { 1020 1030 1040 1050 1060 1200 1210 1220 1310 2290 2300 2310 2320 2330 2340 2350 2360 5080 }
+	preference 	= { 1020 1030 1040 1050 1060 1200 1210 1220 1310 2290 2300 2310 2320 2330 2340 2350 2360 5080 }
+	ignore 		= { 1070 1110 1150 1340 1350 1360 2010 2160 2220 2370 2400 2510 5410 5470 5550 6010 6220 }
  
-	armor 			= 3
-	infantry 		= 4
-	industry 		= 3
-	aircraft 		= 0
-	naval 			= 0
-	land_doctrines 	= 4
+	armor 		= 7
+	infantry 	= 9
+	industry 	= 6
+	aircraft 	= 0
+	naval 		= 0
+	land_doctrines 	= 5
 	secret_weapons 	= 0
 	air_doctrines 	= 0
 	naval_doctrines = 0
-}
+}  
+
 ###################################
 # Ground Combat, Leaders and Garrisons
 ###################################
 leader_ratio = {
-	land_field_marshal 	=0.02
-	land_general 		=0.031
-	land_lt_general 	=0.41
-
-	sea_grand_admiral 	=0.02
-	sea_admiral 		=0.061
-	sea_vice_admiral 	=0.401
-
-	air_marshal 		=0.02
-	air_general 		=0.091
-	air_lt_General 		=0.11
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
 }
+
 garrison = {
-	defend_overseas_beaches = yes
+	defend_overseas_beaches = no
 	home_multiplier 	= 0.5
 	overseas_multiplier 	= 0.5
-	home_peace_cap 		= 10
+	home_peace_cap 		= 101
 	war_zone_odds 		= 2.0
 	key_point_prio_mult	= 0
 	revolt_risk_mult	= 1.0
 
 	# PRIORITIES:
-	beach			= 20	# Beach level 2
-	capital			= 40	# Our capital
-	human_border		= 0	# Ignored for allied human players
-	war_target		= 50	# The next country targeted for attack by this AI
+	beach			= 0	# Beach level 2
+	capital			= 50	# Our capital
+	human_border		= 50	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
 	
 	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
 	claim_threat		= 0	# If we are neutral, countries with claims on us get this
@@ -374,25 +188,17 @@
 
 	# Borders with specific countries
 	country_priorities = {
-		TAN = -1
+		CGX = -1
+		CHC = -1
 		CHI = -1
 		CSX = -1
-		SIK = -1
 		CXB = -1
 		CYN = -1
-		CGX = -1
-		CHC = -1
-		VIC = -1
-		JAP = 50
-		SIA = 10
+		SIK = -1
+		TAN = -1
 		SOV = -1
-		POR = -1
-		ENG = 50
-		FRA = 50
-		USA = 50
-		AST = 10
-		NZL = 10
-		MAN = 10
+		JAP = 50
+		MAN = 50
 	}
 	province_priorities = {	}
 	area_multiplier = { }
@@ -406,117 +212,39 @@
 	reserve_prop		= 0.1
 	panic_ratio_vs_ai	= 2.5
 	panic_ratio_vs_human	= 2.5
-	base_attack_odds	= 1.3
-	min_attack_odds		= 1.1
-	max_attack_odds		= 3.0
-	reinforce_odds		= 1.2
-	withdraw_odds		= 0.6
+	base_attack_odds	= 1.75
+	min_attack_odds		= 1.5
+	max_attack_odds		= 2.5
+	reinforce_odds		= 1.333
+	withdraw_odds		= 0.8
 
 	strength 	= 1.0
-	organisation 	= 1.0
+	organisation 	= 2.0
 	soft_attack 	= 1.0
-	hard_attack 	= 1.0
+	hard_attack 	= 2.0
 	ground_defense 	= 1.0
-	dig_in 		= 1.0 # Against defender
+	dig_in 		= 1.25 # Against defender
 
-	frozen_attack 	= 1.0
-	snow_attack 	= 1.0
-	blizzard_attack = 1.0
-	storm_attack 	= 1.0
-	muddy_attack 	= 1.0
-
-	occupied 	= 0.7
-	owned 		= 0.7
-
-	jungle_attack 	= 1.0
-	mountain_attack = 1.0
-	swamp_attack 	= 1.0
-	forest_attack 	= 1.0
-	hill_attack 	= 1.0
-	urban_attack 	= 1.0
-	river 		= 1.0
-
-	enemy_handicap = { } 
-	passivity = { } 
+      	enemy_handicap = { } 
+      	passivity = { } 
 } 
+
 ###################################
-# Air bombardment and defense
+# Intelligence
 ###################################
-# Air AI File For Ground Bombings as priority
-# bomber is now obsolete and NOT USED AT ALL replace and use Air Marshal instead
+spyprefs = {
+	percentage_on_spies = 0.2
+	percentage_foreign_mission = 0.7
+
+	spyprefsdata = {
+		country_priorities = 10
+		min_number_of_spies = 5
+		NumberOfSpies = 10
+		counter_espionage = 10
+		country = MON
+	}
+}
 
 air_marshal = {
-	min_mission_strength_org	= 0.8
-	icxdayscostfactor 			= 10.0		# How to value true industrial cost when calculating expect causalties
-	manpowercostfactor			= 100.0		# How to value manpower cost when calculating expect causalties
-	destructionriskthreashold 	= 0.2		# when to fear a divisiopn might be destroyed
-
-	# desirability is a multiplier used when calcualting the mission desirability
-	airsuperioritydesirability 		= 30.0
-	groundattackdesirability 		= 40.0
-	inderdictiondesirability 		= 20.0
-	logisticalstrikedesirability 	= 2.0
-	runwaycrateringdesirability 	= 10.0
-	strategicstrikedesirability 	= 10.0
-	installationstrikedesirability 	= 5.0
-	navalstrikedesirability 		= 15.0
-	portstrikedesirability 			= 9.0
-	convoyraiddesirability			= 9.0
-
-	# tolerance is the required kill:loss ration expected to do 
-	#    mission, 2.0 accept twice the losses of your enemy, 0.5 accept half
-	airsuperioritylosstolerance 	= 1.0
-	groundattacklosstolerance 		= 1.0
-	interdictionlosstolerance 		= 2.0
-	logisticalstrikelosstolerance 	= 0.5
-	runwaycrateringlosstolerance 	= 1.5
-	strategicstriketolerance 		= 4.5
-	installationstriketolerance 	= 1.5
-	navalstriketolerance 			= 1.0
-	portstriketolerance 			= 1.0
-	convoyraidtolerance				= 1.0
-
-	# efficency is a tweakable param to adjust according to how 
-	#    much actual damage comes from doing this mission (not to be confused with desirability)
-	logisticalstrikeefficency 	= 0.01
-	runwaycrateringefficency 	= 0.01
-	strategicstrikeefficency 	= 0.01
-	installationstrikeefficency = 0.01
-
-	taskforcetype = { name = "Air Superiority" desiredratio = 0.400 rangeweight = 10.000 airkillpowerweight = 2000.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes air_superiority = yes } 
-	taskforcetype = { name = "Soft Bombing" desiredratio = 0.250 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Hard Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 2000.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Strategic Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 2000.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -0.500 surfacevulnurabilityweight = -0.500 idle = yes reorganize = yes logistical_strike = yes runway_cratering = yes strategic_bombardment = yes installation_strike = yes } 
-	taskforcetype = { name = "Naval Bombing" desiredratio = 0.050 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 2000.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes naval_strike = yes port_strike = yes convoy_air_raiding = yes } 
-	taskforcetype = { name = "Airlift" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = -2000.000 softkillpowerweight = -2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = -2000.000 transportcapacityweight = 1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes airborne_assault = yes air_supply = yes } 
+	min_mission_strength_org = 0.7
 }
-###################################
-# Invasions and Naval
-###################################
-invasion = { 
- 	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
-	random		= 8.0	#How big a random range.  (1.0 = 1%)
-	coastal		= 0.1	#increase to avoid coastal forts more.
-	beach		= 0.1	#higher, avoid worst beaches.
-	distance	= 0.1	#higher = avoid long distance.
-	pocket		= 20.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
-	island		= 0.1	#prioritise taking pure islands.
-	enemy		= 2.0	#higher = much more vary of troops in province.
-	adjacentenemy 	= 2.0	#higher = much more vary of troops nearby
-	air_base	= 1.5 
-      	naval_base 	= 0.1 
-      	air_support 	= 3.0 
-      	redirect 	= priority
-	ignore		= no
-      
-	target = { } 
-} 
-admiral = { 
-	min_org		= 100	# NEW: Percent of org gained back before the unit can leave port
-	min_dmg		= 98    # NEW: Percent of dmg gained back before the unit can leave port
-	return_org 	= 60 	# NEW: PERCENT OF ORG LOST BEFORE RETURNING TO PORT applies to all fleets/ships
-	return_dmg 	= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
-
-	target = { } 
-	core = { } 
-}
\ No newline at end of file
